Bug 197936 - Review Request: nas: Network Audio System
Review Request: nas: Network Audio System
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 197937
  Show dependency treegraph
 
Reported: 2006-07-07 10:13 EDT by Frank Büttner
Modified: 2013-10-08 08:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-13 06:39:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
The first spec file. (2.03 KB, text/plain)
2006-07-07 10:13 EDT, Frank Büttner
no flags Details
1.8.-2 (2.35 KB, text/plain)
2006-07-07 11:48 EDT, Frank Büttner
no flags Details
1.8.-3 (3.30 KB, text/plain)
2006-07-07 14:38 EDT, Frank Büttner
no flags Details
1.8.-4 (3.60 KB, text/plain)
2006-07-07 15:27 EDT, Frank Büttner
no flags Details
1.8.-5 (3.69 KB, text/plain)
2006-07-12 14:34 EDT, Frank Büttner
no flags Details

  None (edit)
Description Frank Büttner 2006-07-07 10:13:20 EDT
Created attachment 132052 [details]
The first spec file.
Comment 1 Frank Büttner 2006-07-07 10:13:20 EDT
Description: 
NAS is the audio equivalent of an X display  server.
The Network Audio System (NAS) was developed by NCD for playing,
recording, and manipulating audio data over a network.  Like the
X Window System, it uses the client/server model to separate
applications from the specific drivers that control audio input
and output devices.
It is also needed to support sound's in Qt.
Problem:
The license. The autor write:
              Copyright 1995 Network Computing Devices, Inc.

    Permission to use, copy, modify, distribute, and sell this software and
    its documentation for any purpose is hereby granted without fee, provided
    that the above copyright notice appear in all copies and that both that
    copyright notice and this permission notice appear in supporting
    documentation, and that the name Network Computing Devices, Inc. not be
    used in advertising or publicity pertaining to distribution of this
    software without specific, written prior permission.

    THIS SOFTWARE IS PROVIDED `AS-IS'.  NETWORK COMPUTING DEVICES, INC.,
    DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING WITHOUT
    LIMITATION ALL IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
    PARTICULAR PURPOSE, OR NONINFRINGEMENT.  IN NO EVENT SHALL NETWORK
    COMPUTING DEVICES, INC., BE LIABLE FOR ANY DAMAGES WHATSOEVER, INCLUDING
    SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES, INCLUDING LOSS OF USE, DATA,
    OR PROFITS, EVEN IF ADVISED OF THE POSSIBILITY THEREOF, AND REGARDLESS OF
    WHETHER IN AN ACTION IN CONTRACT, TORT OR NEGLIGENCE, ARISING OUT OF OR IN
    CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

Translation:  You can do whatever you want with this software!
what type of license is it? And can it use in FC extras??
Comment 2 Rex Dieter 2006-07-07 10:58:41 EDT
A few comments: 

1.  Regarding license, for now, use something generic like
License: Distributable

2.  use lower case pkg name, like
Name: nas

3.  libaudio.so.2 should be in main pkg, not -devel

4.  -devel should (instead)
Requires: %{name} = %{version}-%{release}

5.  /etc/nas is unowned, add to main pkg
%dir /etc/nas

6.  %{_includedir}/sound is unowned, change
%{_includedir}/audio/*
to
%{_includedir}/audio/
Comment 3 Frank Büttner 2006-07-07 11:47:08 EDT
ok fixed here the new .spec file
Comment 4 Frank Büttner 2006-07-07 11:48:01 EDT
Created attachment 132061 [details]
1.8.-2
Comment 5 Rex Dieter 2006-07-07 13:29:30 EDT
OK, I'll review this.



More comments:

1. Other good things to %doc:
%doc BUGS FAQ HISTORY TODO

2.  man3 bits should be in -devel (they're api man pages)

3.  rename /etc/nas/nasd.conf.eg -> /etc/nas/nasd.conf

4.  changelog format is goofy, instead of:
1.8.-2%{?dist}
use just 
1.8-2
(you can leave the %{?dist} appended if you like, that's your preference), just
don't have a '.-' in there.

5.  (fc5) needs BuildRequires: libXext-devel libXt-devel
(found by trying to build in a fc5 mock buildroot)

6.  Would be nice to be buildable on < fc5.  Could be done if you don't mind
doing something like:

BuildRequires: bison flex
%if "%{?fedora}" > "4"
BuildRequires: imake
BuildRequires: libXaw-devel libXext-devel libXpm-devel libXp-devel libXt-devel
%else
BuildRequires: xorg-x11-devel
%endif

and for %install, use:
make DESTDIR=$RPM_BUILD_ROOT install install.man \
  BINDIR=%{_bindir} \
  INCROOT=%{_includedir} \
  LIBDIR=%{_libdir}/X11 \
  SHLIBDIR=%{_libdir} \
  USRLIBDIR=%{_libdir} \
  MANPATH=%{_mandir}

7. Re license, mandriva uses
License: Public Domain
?? (:

8. Include init script for nasd, I'll attach what Mandriva uses
add to spec:
Source1:        nasd.init
Source2:        nasd.sysconfig

and in %install
install -p -m755 -D %{SOURCE1} $RPM_BUILD_ROOT%{_initrddir}/nasd
install -p -m644 -D %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/nasd

and in %files:
%config(noreplace) %{_sysconfdir}/sysconfig/nasd
%{_initrddir}/nasd

and scriptlets:

%preun
if [ $1 = 0 ] ; then
  /sbin/chkconfig --del nasd
  /sbin/service nasd stop >/dev/null 2>&1 ||:
fi

%post
/sbin/chkconfig --add nasd

Comment 7 Frank Büttner 2006-07-07 14:37:07 EDT
FC4 will get deprecated near and for new packages I think FC5 and FC6 are ok.
Comment 8 Frank Büttner 2006-07-07 14:38:12 EDT
Created attachment 132080 [details]
1.8.-3
Comment 9 Rex Dieter 2006-07-07 14:44:49 EDT
> FC4 will get deprecated near and for new packages I think FC5 and FC6 are ok.

OK, it's only that I have a vested interest in EL4 support too.  (:  I can 
patch my own local builds if you're not willing to do that.
Comment 10 Rex Dieter 2006-07-07 14:51:42 EDT
I guess we missed adding Req's for the scriptlets:

Requires(preun): chkconfig /sbin/service
Requires(post):  chkconfig
Comment 11 Frank Büttner 2006-07-07 15:25:27 EDT
It is better to build an extra spec file for FC4. But this is not an real problem.
Comment 12 Frank Büttner 2006-07-07 15:27:14 EDT
Created attachment 132084 [details]
1.8.-4

incl. remark for FC4 and  Requires(preun)/ Requires(post)
Comment 13 Frank Büttner 2006-07-11 10:22:10 EDT
Are all ok? Or shut I fix somethink?
Comment 14 Rex Dieter 2006-07-11 10:29:09 EDT
Looks close yes, I'm just having trouble finding time to test this to make sure
it actually works. (:  Any recommended test-cases?
Comment 15 Frank Büttner 2006-07-11 11:40:27 EDT
ok tested and it works(with sb live!).
simple install it and run sevice nasd start
Comment 16 Rex Dieter 2006-07-12 12:54:03 EDT
Per comment #2, point 6:
%_includedir/audio is (still) unowned. change
%{_includedir}/audio/*
to
%{_includedir}/audio/

And I'll mark this APPROVED.
Comment 17 Frank Büttner 2006-07-12 13:50:58 EDT
When I do this then rpmlint say that the dir permison are wrong.
Comment 18 Rex Dieter 2006-07-12 14:00:43 EDT
I didn't see any rpmlint message pertaining to that, but regardless, omitting
ownership of the dir is only hiding, not fixing the problem.

Also to consider,
W: nas service-default-enabled /etc/rc.d/init.d/nasd
W: nas incoherent-init-script-name nasd
Not sure if it's worth doing anything about.  Should we consider making nasd
*not* start by default?
Comment 19 Frank Büttner 2006-07-12 14:10:12 EDT
I think it is ok when it is enabled per default.
When change %{_includedir}/audio/*
to
%{_includedir}/audio/
it fails with E: nas-devel non-standard-dir-perm /usr/include/audio 0644
so I must be at %{_includedir}/audio/*
Comment 20 Rex Dieter 2006-07-12 14:14:19 EDT
Fix, change
%defattr(0644,root,root)
to
%defattr(-,root,root)
Comment 21 Ville Skyttä 2006-07-12 14:27:42 EDT
(In reply to comment #19)
> I think it is ok when it is enabled per default.

Is there a good reason why it *should* be enabled by default?  Example: install
build dependencies for a package that has nas-devel in its BR's, (build it,
whatever), reboot, and you suddenly have a new network service running that you
didn't ask for and nobody told you about.  I think it's fair to assume that
people who need things such as nas are capable of setting it to auto-start if
wanted.
Comment 22 Frank Büttner 2006-07-12 14:33:30 EDT
But not all know that for example Qt will need an running nas daemon to play
sounds. And they are wondering:( So it will be better to run start it when the
system starts. 
Comment 23 Frank Büttner 2006-07-12 14:34:26 EDT
Created attachment 132322 [details]
1.8.-5
Comment 24 Rex Dieter 2006-07-12 14:42:02 EDT
Ville, it's not so bad, the default configuration listens only to localhost.

Looks good, APPROVED 

p.s. I can't want for qt-4.2 (: , after fc6 is released, I think I'll stuff
qt-4.2  tp1 (or whatever it is then) into devel/rawhide.
Comment 25 Frank Büttner 2006-07-12 14:53:35 EDT
Ok I will import it tomorrow in the extra repo.
Comment 26 Rex Dieter 2007-03-26 15:53:08 EDT
Package Change Request
======================
Package Name: nas
New Branches: EL-5
Updated EPEL Owners: rdieter@math.unl.edu
Updated EPEL CC: frank-buettner@gmx.net
Comment 27 Jens Petersen 2007-03-27 08:17:08 EDT
updated
Comment 28 Frank Büttner 2007-06-23 12:07:02 EDT
Package Change Request
======================
Package Name: nas
New Branches: F-7

Because the F-7 directory is missing in the CVS repo.
Comment 29 Rex Dieter 2007-06-23 13:35:39 EDT
Just did a checkout, and I see F-7 branch (unless it was just created...
Comment 30 Frank Büttner 2007-06-23 13:38:34 EDT
Hm, when I call cvs update, I don't see an F-7 branch.
Comment 31 Frank Büttner 2007-06-23 14:40:59 EDT
Ah after recheckout I will get it:)
Comment 32 Ville Skyttä 2007-06-24 04:51:59 EDT
echo "update -Pd" >> ~/.cvsrc
Comment 33 Petr Pisar 2013-10-08 07:26:58 EDT
(In reply to Rex Dieter from comment #5)
> 
> 7. Re license, mandriva uses
> License: Public Domain
> ?? (:
> 
The real license is:

              Copyright 1995 Network Computing Devices, Inc.

    Permission to use, copy, modify, distribute, and sell this software and
    its documentation for any purpose is hereby granted without fee, provided
    that the above copyright notice appear in all copies and that both that
    copyright notice and this permission notice appear in supporting
    documentation, and that the name Network Computing Devices, Inc. not be
    used in advertising or publicity pertaining to distribution of this
    software without specific, written prior permission.

    THIS SOFTWARE IS PROVIDED `AS-IS'.  NETWORK COMPUTING DEVICES, INC.,
    DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING WITHOUT
    LIMITATION ALL IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
    PARTICULAR PURPOSE, OR NONINFRINGEMENT.  IN NO EVENT SHALL NETWORK
    COMPUTING DEVICES, INC., BE LIABLE FOR ANY DAMAGES WHATSOEVER, INCLUDING
    SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES, INCLUDING LOSS OF USE, DATA,
    OR PROFITS, EVEN IF ADVISED OF THE POSSIBILITY THEREOF, AND REGARDLESS OF
    WHETHER IN AN ACTION IN CONTRACT, TORT OR NEGLIGENCE, ARISING OUT OF OR IN
    CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

which is not `Public Domain'. This is a MIT license.
Comment 34 Petr Pisar 2013-10-08 08:08:39 EDT
I found some non-free files there and asked upstream for guidance <http://radscan.com/pipermail/nas/2013-October/001323.html>.

Note You need to log in before you can comment on or make changes to this bug.